MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
mapitest_suite Struct Reference

A list of test suites. More...

`#include <mapitest.h>`

## Data Fields
char * | description
char * | name
struct mapitest_suite * | next
bool | online
struct mapitest_suite * | prev
struct mapitest_stat * | stat
struct mapitest_test * | tests

## Detailed Description

A list of test suites.

mapitest executes a set of tests. Those tests are grouped into suites of related tests (e.g. all tests that do not require a server are in one suite, the tests for NSPI are in another suite, and so on). This linked list data structure represents the various test suites to be executed.

## Field Documentation

char* mapitest_suite::description

Description of the test suite

Referenced by mapitest_suite_init().

char* mapitest_suite::name

The name of the test suite

Referenced by mapitest_run_all(), mapitest_stat_dump(), mapitest_suite_add_test_flagged(), mapitest_suite_find(), mapitest_suite_init(), and mapitest_suite_register().

struct mapitest_suite* mapitest_suite::next

Pointer to the next test suite

Referenced by mapitest_run_all(), mapitest_run_test(), mapitest_stat_dump(), mapitest_suite_find(), and mapitest_suite_register().

bool mapitest_suite::online

Whether this suite requires a server

Referenced by mapitest_run_all(), mapitest_run_test(), and mapitest_suite_init().

struct mapitest_suite* mapitest_suite::prev

Pointer to the previous test suite

struct mapitest_stat* mapitest_suite::stat

Results of running this test

Referenced by mapitest_stat_add_result(), mapitest_stat_add_skipped_test(), mapitest_stat_dump(), and mapitest_suite_init().

struct mapitest_test* mapitest_suite::tests

The tests in this suite

Referenced by mapitest_run_test(), mapitest_suite_add_test_flagged(), mapitest_suite_init(), and mapitest_suite_run_test().

The documentation for this struct was generated from the following file:

- utils/mapitest/mapitest.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/